##
# MWS::Address
# 
module MWS
  class Address
    def initialize(args={})
      args.each { |k, v| send("#{k}=", v) }
    end
  
    attr_accessor :name, :address_line_1, :address_line_2, :city, :state_or_province_code, :country_code, :postal_code
  
    def to_hash
      {
        :name => @name,
        :address_line_1 => @address_line_1,
        :address_line_2 => @address_line_2,
        :city => @city,
        :state_or_province_code => @state_or_province_code,
        :country_code => @country_code,
        :postal_code => @postal_code
      }
    end
    
  end
end